FalconryScale
DevelopersAPI reference

Get one weigh-in

Returns one weigh-in by id, including the name of the food item fed (fed weigh-ins only). 404s if it does not exist or is not visible to the caller.

GET
/weights/{weightId}

Authorization

bearerAuth
headerAuthorizationBearer <token>

A Clerk user API key or OAuth access token carrying the falconry:read and/or falconry:write scope.

Path Parameters

weightId*string

A weigh-in's id, from get_weight_history or get_latest_weights.

Lengthlength <= 64

Response Body

Get one weigh-in

application/json
  1. response
id*string

Opaque Convex document id.

Lengthlength <= 64
weightGrams*number
measuredAt*string

ISO 8601 datetime this weigh-in was measured at.

stomachState*string
Value in"empty""fed"
avgGph*|

Average grams-per-hour of weight change since the previous empty-stomach weigh-in, when computable.

notes*string|null
preyTypeId*|null
raptorId*string

Opaque Convex document id.

Lengthlength <= 64
preyAmountGrams*number|null
loggedByName*string|null
preyTypeName*string|null
Example Request
curl -X GET 'https://app.falconryscale.com/api/v1/weights/string'
Example Response
{
  "id": "string",
  "weightGrams": 0,
  "measuredAt": "string",
  "stomachState": "empty",
  "avgGph": 0,
  "notes": "string",
  "preyTypeId": "string",
  "raptorId": "string",
  "preyAmountGrams": 0,
  "loggedByName": "string",
  "preyTypeName": "string"
}